%define	upstream_name	 DBD-Pg
%define upstream_version 2.17.1

%define Werror_cflags %nil

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 1

Summary:	PostgreSQL database driver for the DBI module
License:	GPL+ or Artistic
Group:		Development/Perl
Url:		http://search.cpan.org/dist/%{upstream_name}/
Source0:	http://www.cpan.org/modules/by-module/DBD/%{upstream_name}-%{upstream_version}.tar.gz

Buildrequires:	chrpath
Buildrequires:	perl(DBI)
Buildrequires:	perl-devel
Buildrequires:	postgresql-devel
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}

%description
PostgreSQL database driver for the DBI module

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
export POSTGRES_INCLUDE=/usr/include
export POSTGRES_LIB=%{_libdir}
%{__perl} Makefile.PL INSTALLDIRS=vendor
%make OPTIMIZE="%{optflags}"

%check
%{__make} test

%install
rm -rf %{buildroot}
%makeinstall_std
chmod 755 %{buildroot}%{perl_vendorarch}/auto/DBD/Pg/Pg.so
chrpath -d %{buildroot}%{perl_vendorarch}/auto/DBD/Pg/Pg.so

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root)
%doc README Changes
%{perl_vendorarch}/auto/DBD
%{perl_vendorarch}/DBD
%{perl_vendorarch}/Bundle
%{_mandir}/*/*


%changelog
* Tue Apr 20 2010 Jérôme Quelin <jquelin@mandriva.org> 2.17.1-1mdv2010.1
+ Revision: 536959
- update to 2.17.1

* Thu Jan 21 2010 Jérôme Quelin <jquelin@mandriva.org> 2.16.1-1mdv2010.1
+ Revision: 494440
- update to 2.16.1

* Mon Dec 21 2009 Jérôme Quelin <jquelin@mandriva.org> 2.16.0-1mdv2010.1
+ Revision: 480713
- update to 2.16.0

* Mon Aug 24 2009 Jérôme Quelin <jquelin@mandriva.org> 2.15.1-2mdv2010.0
+ Revision: 420360
- force rebuild
- update to 2.15.1

* Wed Aug 05 2009 Jérôme Quelin <jquelin@mandriva.org> 2.15.0-1mdv2010.0
+ Revision: 410152
- update to 2.15.0

* Sun May 03 2009 Guillaume Rousse <guillomovitch@mandriva.org> 2.13.1-1mdv2010.0
+ Revision: 371422
- new version

* Mon Dec 29 2008 Guillaume Rousse <guillomovitch@mandriva.org> 2.11.8-1mdv2009.1
+ Revision: 320931
- update to new version 2.11.8

* Tue Dec 16 2008 Guillaume Rousse <guillomovitch@mandriva.org> 2.11.7-1mdv2009.1
+ Revision: 314749
- update to new version 2.11.7

* Tue Dec 02 2008 Guillaume Rousse <guillomovitch@mandriva.org> 2.11.6-1mdv2009.1
+ Revision: 309301
- update to new version 2.11.6

* Wed Nov 26 2008 Guillaume Rousse <guillomovitch@mandriva.org> 2.11.5-1mdv2009.1
+ Revision: 307064
- update to new version 2.11.5

* Thu Nov 13 2008 Guillaume Rousse <guillomovitch@mandriva.org> 2.11.4-1mdv2009.1
+ Revision: 302819
- update to new version 2.11.4

* Tue Nov 04 2008 Guillaume Rousse <guillomovitch@mandriva.org> 2.11.3-1mdv2009.1
+ Revision: 299750
- update to new version 2.11.3

* Fri Oct 17 2008 Guillaume Rousse <guillomovitch@mandriva.org> 2.11.2-1mdv2009.1
+ Revision: 294627
- update to new version 2.11.2

* Tue Oct 14 2008 Guillaume Rousse <guillomovitch@mandriva.org> 2.11.0-1mdv2009.1
+ Revision: 293567
- update to new version 2.11.0

* Sat Oct 11 2008 Guillaume Rousse <guillomovitch@mandriva.org> 2.10.7-1mdv2009.1
+ Revision: 292136
- update to new version 2.10.7

* Wed Sep 03 2008 Guillaume Rousse <guillomovitch@mandriva.org> 2.10.3-1mdv2009.0
+ Revision: 279699
- update to new version 2.10.3

* Fri Aug 29 2008 Olivier Thauvin <nanardon@mandriva.org> 2.10.0-1mdv2009.0
+ Revision: 277147
- 2.10

* Sun Aug 10 2008 Guillaume Rousse <guillomovitch@mandriva.org> 2.9.0-1mdv2009.0
+ Revision: 270350
- update to new version 2.9.0

* Fri Jul 25 2008 Guillaume Rousse <guillomovitch@mandriva.org> 2.8.7-1mdv2009.0
+ Revision: 248710
- update to new version 2.8.7

* Wed Jul 23 2008 Guillaume Rousse <guillomovitch@mandriva.org> 2.8.6-1mdv2009.0
+ Revision: 242060
- update to new version 2.8.6

* Tue Jul 15 2008 Guillaume Rousse <guillomovitch@mandriva.org> 2.8.5-1mdv2009.0
+ Revision: 235778
- update to new version 2.8.5

* Fri Jul 11 2008 Guillaume Rousse <guillomovitch@mandriva.org> 2.8.4-1mdv2009.0
+ Revision: 233649
- update to new version 2.8.4

* Tue Jul 08 2008 Guillaume Rousse <guillomovitch@mandriva.org> 2.8.3-1mdv2009.0
+ Revision: 232736
- update to new version 2.8.3

* Fri Jul 04 2008 Guillaume Rousse <guillomovitch@mandriva.org> 2.8.2-1mdv2009.0
+ Revision: 231883
- new version

* Fri Jun 13 2008 Guillaume Rousse <guillomovitch@mandriva.org> 2.8.1-1mdv2009.0
+ Revision: 218701
- update to new version 2.8.1

* Tue Jun 03 2008 Guillaume Rousse <guillomovitch@mandriva.org> 2.8.0-1mdv2009.0
+ Revision: 214605
- new version

* Sat May 17 2008 Guillaume Rousse <guillomovitch@mandriva.org> 2.7.2-1mdv2009.0
+ Revision: 208352
- update to new version 2.7.2

* Tue May 13 2008 Guillaume Rousse <guillomovitch@mandriva.org> 2.7.1-1mdv2009.0
+ Revision: 206817
- update to new version 2.7.1

* Sat May 10 2008 Guillaume Rousse <guillomovitch@mandriva.org> 2.6.6-1mdv2009.0
+ Revision: 205394
- update to new version 2.6.6

* Tue May 06 2008 Guillaume Rousse <guillomovitch@mandriva.org> 2.6.4-1mdv2009.0
+ Revision: 202318
- update to new version 2.6.4

* Wed Apr 23 2008 Guillaume Rousse <guillomovitch@mandriva.org> 2.6.1-1mdv2009.0
+ Revision: 196823
- update to new version 2.6.1

* Thu Apr 17 2008 Guillaume Rousse <guillomovitch@mandriva.org> 2.6.0-1mdv2009.0
+ Revision: 195436
- new version

* Tue Apr 15 2008 Guillaume Rousse <guillomovitch@mandriva.org> 2.5.1-1mdv2009.0
+ Revision: 193792
- update to new version 2.5.1

* Tue Mar 04 2008 Guillaume Rousse <guillomovitch@mandriva.org> 2.2.2-1mdv2008.1
+ Revision: 178291
- update to new version 2.2.2

* Mon Mar 03 2008 Guillaume Rousse <guillomovitch@mandriva.org> 2.2.1-1mdv2008.1
+ Revision: 177901
- update to new version 2.2.1

* Fri Feb 29 2008 Guillaume Rousse <guillomovitch@mandriva.org> 2.2.0-1mdv2008.1
+ Revision: 176706
- update to new version 2.2.0

* Fri Feb 22 2008 Guillaume Rousse <guillomovitch@mandriva.org> 2.1.3-1mdv2008.1
+ Revision: 173874
- update to new version 2.1.3

* Thu Feb 21 2008 Guillaume Rousse <guillomovitch@mandriva.org> 2.1.2-1mdv2008.1
+ Revision: 173533
- update to new version 2.1.2

* Wed Feb 20 2008 Guillaume Rousse <guillomovitch@mandriva.org> 2.1.1-1mdv2008.1
+ Revision: 173292
- update to new version 2.1.1

* Tue Feb 12 2008 Guillaume Rousse <guillomovitch@mandriva.org> 2.0.0-1mdv2008.1
+ Revision: 166709
- nuke rpath
- update to new version 2.0.0

* Mon Jan 14 2008 Pixel <pixel@mandriva.com> 1.49-3mdv2008.1
+ Revision: 151344
- rebuild for perl-5.10.0

* Thu Dec 20 2007 Olivier Blin <oblin@mandriva.com> 1.49-2mdv2008.1
+ Revision: 135833
- restore BuildRoot

  + Thierry Vignaud <tv@mandriva.org>
    - kill re-definition of %%buildroot on Pixel's request


* Sun Jan 14 2007 Olivier Thauvin <nanardon@mandriva.org> 1.49-2mdv2007.0
+ Revision: 108582
- rebuild for latest libpq

  + Guillaume Rousse <guillomovitch@mandriva.org>
    - Import perl-DBD-Pg

* Tue May 30 2006 Guillaume Rousse <guillomovitch@mandriva.org> 1.49-1mdv2007.0
- New release 1.49

* Sun Apr 09 2006 Guillaume Rousse <guillomovitch@mandriva.org> 1.48-1mdk
- New release 1.48
- better source URL
- better buildrequires syntax

* Wed Mar 22 2006 Rafael Garcia-Suarez <rgarciasuarez@mandriva.com> 1.47-1mdk
- 1.47

* Mon Mar 20 2006 Guillaume Rousse <guillomovitch@mandriva.org> 1.46-1mdk
- New release 1.46

* Mon Mar 06 2006 Guillaume Rousse <guillomovitch@mandriva.org> 1.45-1mdk
- New release 1.45
- spec cleanup

* Sun Jan 01 2006 Mandriva Linux Team <http://www.mandrivaexpert.com/> 1.43-3mdk
- Rebuild

* Sat Sep 10 2005 Guillaume Rousse <guillomovitch@mandriva.org> 1.43-2mdk
- source URL
- add missing automatic provides

* Sat Jun 25 2005 Rafael Garcia-Suarez <rgarciasuarez@mandriva.com> 1.43-1mdk
- 1.43

* Fri Jun 03 2005 Rafael Garcia-Suarez <rgarciasuarez@mandriva.com> 1.42-1mdk
- 1.42

* Mon Apr 18 2005 Olivier Thauvin <nanardon@mandrake.org> 1.41-1mdk
- 1.41
- rebuild against latest postgres
- move test in %%check
- %%mkrel

* Thu Feb 24 2005 Rafael Garcia-Suarez <rgarciasuarez@mandrakesoft.com> 1.40-1mdk
- 1.40

* Thu Nov 25 2004 Rafael Garcia-Suarez <rgarciasuarez@mandrakesoft.com> 1.32-2mdk
- rebuild for new perl
- add tests to build phase

* Thu Apr 22 2004 Per yvind Karlsen <peroyvind@linux-mandrake.com> 1.32-1mdk
- 1.32
- quiet setup
- spec cosmetics

